apiVersion: machine.openshift.io/v1beta1
kind: MachineHealthCheck
metadata:
  creationTimestamp: '2024-08-06T10:33:31Z'
  generation: 1
  managedFields:
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:maxUnhealthy': {}
          'f:nodeStartupTimeout': {}
          'f:remediationTemplate': {}
          'f:selector': {}
          'f:unhealthyConditions': {}
      manager: kubectl-create
      operation: Update
      time: '2024-08-06T10:33:31Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:currentHealthy': {}
          'f:expectedMachines': {}
          'f:remediationsAllowed': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2024-08-06T10:38:03Z'
  name: mhc-snr-master
  namespace: openshift-machine-api
  resourceVersion: '525190'
  uid: 1a826875-dcc2-48bc-a4fe-d6585c8cd983
spec:
  maxUnhealthy: 100%
  nodeStartupTimeout: 10m
  remediationTemplate:
    apiVersion: self-node-remediation.medik8s.io/v1alpha1
    kind: SelfNodeRemediationTemplate
    name: selfnoderemediationtemplate-sample
    namespace: openshift-machine-api
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-machine-role: master
      machine.openshift.io/cluster-api-machine-type: master
  unhealthyConditions:
    - status: Unknown
      timeout: 90s
      type: Ready
    - status: 'False'
      timeout: 90s
      type: Ready
status:
  conditions:
    - lastTransitionTime: '2024-08-06T10:33:31Z'
      status: 'True'
      type: RemediationAllowed
  currentHealthy: 3
  expectedMachines: 3
  remediationsAllowed: 3
